package model

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	meta "git.loafle.net/overflow/commons-go/meta/model"
)

type Member struct {
	ID          json.Number            `json:"id,Number,omitempty"`
	Email       string                 `json:"email,omitempty"`
	Pw          string                 `json:"pw,omitempty"`
	Name        string                 `json:"name,omitempty"`
	Phone       string                 `json:"phone,omitempty"`
	CompanyName string                 `json:"companyName,omitempty"`
	CreateDate  util.Timestamp         `json:"createDate,omitempty"`
	Status      *meta.MetaMemberStatus `json:"status,omitempty"`
}
