package config

import (
	csswc "git.loafle.net/commons/server-go/socket/web/client"
	"git.loafle.net/overflow/commons-go/core/config"
)

type Central struct {
	Host      string            `required:"true" json:"host"`
	Port      int               `required:"true" json:"port"`
	Connector *csswc.Connectors `required:"true" json:"connector"`
	Proxy     *config.Proxy     `json:"proxy"`
}
