package model

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	meta "git.loafle.net/overflow/commons-go/meta/model"
)

type SensorItem struct {
	ID             json.Number          `json:"id,Number,omitempty"`
	Sensor         *Sensor              `json:"sensor,omitempty"`
	MetaSensorItem *meta.MetaSensorItem `json:"item,omitempty"`
	CreateDate     util.Timestamp       `json:"createDate,omitempty"`
}
